package net.wanji.databus.dao.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.sql.Date;

/**
 * @ClassName CrossSchemeOptLog
 * @Description 命令操作日志
 * @Author zhouleilei
 * @Date 2024/12/23 15:23
 */
@Data
@TableName("t_signal_command_log")
public class SignalCommandLogPO {

    @ApiModelProperty(value = "路口编号")
    private String crossId;

    @ApiModelProperty(value = "请求信息")
    private String dataInfo;

    @ApiModelProperty(value = "控制类型:1-步进控制/恢复(信控系统);2-恢复时间表(公用);3-相位锁定/解锁(公用);4-临时方案下发(公用);5-步进相位(神思);10-查询环图失败记录")
    private Integer commandType;

    @ApiModelProperty(value = "优化结果：1-成功 2-失败")
    private Integer commandResult;

    @ApiModelProperty(value = "返回信息")
    private String resultMessage;

    @ApiModelProperty(value = "运行模式 `2=手动锁定当前相位`，`3=手动全红`，`4=手动黄闪`，`5=手动关灯`，`6=全红闪控制`，`7=全黄控制`，`8=正常按计划运行`，`9=手动步进控制`，`10=自动步进控制`，`11=恢复时间表`，`255=临时控制方案`")
    private String runMode;

    @ApiModelProperty(value = "调用IP")
    private String ip;

    @ApiModelProperty(value = "请求时间")
    private String queryTime;

    @ApiModelProperty(value = "灯态时间")
    private String lampTime;

    @ApiModelProperty(value = "数据插入时间")
    private Date insertTime;

}
